OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::SpinnakerWrapper Class Reference

`#include <spinnakerWrapper.hpp>`

## Public Member Functions
| SpinnakerWrapper (const std::string &cameraParameterPath, const Point< int > &cameraResolution, const bool undistortImage, const int cameraIndex=-1)
virtual | ~SpinnakerWrapper ()
std::vector< cv::Mat > | getRawFrames ()
std::vector< cv::Mat > | getCameraMatrices () const
std::vector< cv::Mat > | getCameraExtrinsics () const
std::vector< cv::Mat > | getCameraIntrinsics () const
Point< int > | getResolution () const
bool | isOpened () const
void | release ()

## Detailed Description

SpinnakerWrapper is a subclass of SpinnakerWrapper. It decouples the final interface (meant to imitates cv::VideoCapture) from the Spinnaker SDK wrapper.

## Constructor & Destructor Documentation

op::SpinnakerWrapper::SpinnakerWrapper | ( | const std::string & | cameraParameterPath,
|  | const Point< int > & | cameraResolution,
|  | const bool | undistortImage,
|  | const int | cameraIndex = `-1`
| ) |  |
| explicit

Constructor of SpinnakerWrapper. It opens all the available FLIR cameras cameraIndex = -1 means that all cameras are taken

virtual op::SpinnakerWrapper::~SpinnakerWrapper | ( |  | ) |
| virtual

## Member Function Documentation

std::vector<cv::Mat> op::SpinnakerWrapper::getCameraExtrinsics | ( |  | ) | const

std::vector<cv::Mat> op::SpinnakerWrapper::getCameraIntrinsics | ( |  | ) | const

std::vector<cv::Mat> op::SpinnakerWrapper::getCameraMatrices | ( |  | ) | const

std::vector<cv::Mat> op::SpinnakerWrapper::getRawFrames | ( |  | ) |

Point<int> op::SpinnakerWrapper::getResolution | ( |  | ) | const

bool op::SpinnakerWrapper::isOpened | ( |  | ) | const

void op::SpinnakerWrapper::release | ( |  | ) |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/producer/spinnakerWrapper.hpp